## r-cran-genie 1.0.5

=== DESCRIPTION ===
Package: genie
Type: Package
Title: Fast, Robust, and Outlier Resistant Hierarchical Clustering
Version: 1.0.5
Date: 2020-08-02
Authors@R: c(
    person("Marek", "Gagolewski",
    role = c("aut", "cre", "cph"),
    email = "marek@gagolewski.com",
    comment = c(ORCID = "0000-0003-0637-6028")),
    person("Maciej", "Bartoszuk", role = "aut",
    email = "bartoszuk@rexamine.com",
    comment = c(ORCID = "0000-0001-6088-8273")),
    person("Anna", "Cena", role = "aut",
    email = "cena@rexamine.com",
    comment = c(ORCID = "0000-0001-8697-5383"))
    )
Description: Includes the reference implementation of Genie - a hierarchical
    clustering algorithm that links two point groups in such a way that
    an inequity measure (namely, the Gini index) of the cluster sizes
    does not significantly increase above a given threshold.
    This method most often outperforms many other data segmentation approaches
    in terms of clustering quality as tested on a wide range of benchmark
    datasets. At the same time, Genie retains the high speed of the single
    linkage approach, therefore it is also suitable for analysing larger data sets.
    For more details see (Gagolewski et al. 2016 <DOI:10.1016/j.ins.2016.05.003>).
    For an even faster and more feature-rich implementation, including,
    amongst others, noise point detection, see the 'genieclust' package.
License: GPL (>= 3)
BugReports: http://github.com/gagolews/genie/issues
URL: http://genieclust.gagolewski.com/
Depends: R (>= 3.3.0), stats, genieclust
Imports: Rcpp (>= 1.0.0)
Suggests: datasets, testthat, stringi
LinkingTo: Rcpp (>= 1.0.0)
SystemRequirements: OpenMP, C++11
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2020-08-02 09:13:53 UTC; gagolews
Author: Marek Gagolewski [aut, cre, cph]
    (<https://orcid.org/0000-0003-0637-6028>),
  Maciej Bartoszuk [aut] (<https://orcid.org/0000-0001-6088-8273>),
  Anna Cena [aut] (<https://orcid.org/0000-0001-8697-5383>)
Maintainer: Marek Gagolewski <marek@gagolewski.com>
Repository: CRAN
Date/Publication: 2020-08-02 22:00:02 UTC

=== debian/changelog ===
r-cran-genie (1.0.5-2) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 08:10:53 +0100

r-cran-genie (1.0.5-1) unstable; urgency=medium

  * Initial release (closes: #975888)

 -- Andreas Tille <tille@debian.org>  Thu, 26 Nov 2020 11:57:27 +0100

=== debian/control ===
Source: r-cran-genie
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-genieclust,
               r-cran-rcpp (>= 1.0.0)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-genie
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-genie.git
Homepage: https://cran.r-project.org/package=genie
Rules-Requires-Root: no

Package: r-cran-genie
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fast, robust, and outlier resistant hierarchical clustering
 Includes the reference implementation of Genie - a hierarchical
 clustering algorithm that links two point groups in such a way that
 an inequity measure (namely, the Gini index) of the cluster sizes
 does not significantly increase above a given threshold.
 This method most often outperforms many other data segmentation approaches
 in terms of clustering quality as tested on a wide range of benchmark
 datasets. At the same time, Genie retains the high speed of the single
 linkage approach, therefore it is also suitable for analysing larger data sets.
 For more details see (Gagolewski et al. 2016 <DOI:10.1016/j.ins.2016.05.003>).
 For an even faster and more feature-rich implementation, including,
 amongst others, noise point detection, see the 'genieclust' package.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/genie_([-\d.]*)\.tar\.gz

## r-cran-genie 1.0.6

=== DESCRIPTION ===
Package: genie
Type: Package
Title: Fast, Robust, and Outlier Resistant Hierarchical Clustering
Version: 1.0.6
Date: 2025-12-01
Authors@R: c(
    person("Marek", "Gagolewski",
        role = c("aut", "cre", "cph"),
        email = "marek@gagolewski.com",
        comment = c(ORCID = "0000-0003-0637-6028")),
    person("Maciej", "Bartoszuk",
        role = "aut",
        comment = c(ORCID = "0000-0001-6088-8273")),
    person("Anna", "Cena",
        role = "aut",
        comment = c(ORCID = "0000-0001-8697-5383"))
    )
Description: Includes the basic implementation of Genie - a hierarchical
    clustering algorithm that links two point groups in such a way that
    an inequity measure (namely, the Gini index) of the cluster sizes
    does not significantly increase above a given threshold.
    This method most often outperforms many other data segmentation approaches
    in terms of clustering quality as tested on a wide range of benchmark
    datasets. At the same time, Genie retains the high speed of the single
    linkage approach, therefore it is also suitable for analysing larger data sets.
    For more details see (Gagolewski et al. 2016 <DOI:10.1016/j.ins.2016.05.003>).
    For an even faster and more feature-rich implementation, including,
    amongst others, see the 'genieclust' package
    (Gagolewski, 2021 <DOI:10.1016/j.softx.2021.100722>).
License: GPL (>= 3)
BugReports: https://github.com/gagolews/genie/issues
URL: https://genieclust.gagolewski.com/,
        https://github.com/gagolews/genie
Depends: R (>= 4.0.0), stats, genieclust
Imports: Rcpp (>= 1.0.0)
Suggests: datasets, testthat, stringi
LinkingTo: Rcpp (>= 1.0.0)
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2025-12-01 17:10:49 UTC; gagolews
Author: Marek Gagolewski [aut, cre, cph] (ORCID:
    <https://orcid.org/0000-0003-0637-6028>),
  Maciej Bartoszuk [aut] (ORCID: <https://orcid.org/0000-0001-6088-8273>),
  Anna Cena [aut] (ORCID: <https://orcid.org/0000-0001-8697-5383>)
Maintainer: Marek Gagolewski <marek@gagolewski.com>
Repository: CRAN
Date/Publication: 2025-12-01 18:10:02 UTC

=== debian/changelog ===
r-cran-genie (1.0.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  Trim trailing whitespace.

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Feb 2026 09:32:47 +0900

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: r-cran-genie
+Standards-Version: 4.7.3
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-genieclust,
-               r-cran-rcpp (>= 1.0.0)
-Standards-Version: 4.5.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-r,
+ r-base-dev,
+ r-cran-genieclust,
+ r-cran-rcpp,
+ architecture-is-64-bit,
+ architecture-is-little-endian,
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-genie
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-genie.git
 Homepage: https://cran.r-project.org/package=genie
@@ -17,11 +20,14 @@
 
 Package: r-cran-genie
 Architecture: any
-Depends: ${R:Depends},
-         ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Depends:
+ ${R:Depends},
+ ${shlibs:Depends},
+ ${misc:Depends},
+Recommends:
+ ${R:Recommends},
+Suggests:
+ ${R:Suggests},
 Description: GNU R fast, robust, and outlier resistant hierarchical clustering
  Includes the reference implementation of Genie - a hierarchical
  clustering algorithm that links two point groups in such a way that

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-testthat,
 r-cran-stringi,
